        GDT:
dq 0
;   System Reserved Segment
    SYS_CODE1:
dw 0x001f
dw 0x0
db 0x0
db 0b10011010
db 0b01001111
db 0x0
    SYS_DATA1:
dw 0x001f
dw 0x0
db 0x0
db 0b10010010
db 0b01001111
db 0x0

;   General Memory Segment
    GEN_CODE:
dw 0xffff
dw 0x0020 ; base
db 0x00   ; base
db 0b11111010
db 0b11001111
db 0x00   ; base
    GEN_DATA:
dw 0xffff
dw 0x0020 ; base
db 0x00   ; base
db 0b11110010
db 0b11001111
db 0x00   ; base

;   TSS Descriptor
tss_desc:
    dq 0
tss_desc_end:

        GDT_END:

gdt_desc:
    dw GDT_END - GDT - 1
    dd GDT

CSEG_1: equ SYS_CODE1 - GDT
DSEG_1: equ SYS_DATA1 - GDT

CSEG_G: equ GEN_CODE - GDT
DSEG_G: equ GEN_DATA - GDT
