; AI generated code because I got too lazy

mov eax, [TSS_Descriptor] ; Load the address of the TSS descriptor
mov ebx, [TSS_Base]       ; Load the base address of the TSS
mov ecx, [TSS_Limit]      ; Load the limit of the TSS

; Fill the TSS descriptor
mov word [eax], cx        ; Set the limit (15:0)
shr ecx, 16
mov [eax+6], bl           ; Set the base (15:0)
shr ebx, 16
mov [eax+7], bh           ; Set the base (23:16)
mov [eax+8], cl           ; Set the limit (19:16) and base (31:24)
mov [eax+9], 0x89         ; Set the type (0x89 for available 32-bit TSS) and present bit
mov [eax+10], 0           ; Set the reserved bits
mov [eax+11], bh          ; Set the base (31:24)

;;; I turned it into a routine
set_tss_desc_updated:
    mov eax, tss_desc   ; Load the address of the TSS descriptor
    mov ebx, tss        ; Load the base address of the TSS
    mov ecx, tss_end    ; Load the limit of the TSS
    sub ecx, ebx

    ; Fill the TSS descriptor
    mov word [eax], cx  ; Set the limit (15:0)
    shr ecx, 16
    mov [eax+6], bl     ; Set the base (15:0)
    shr ebx, 16
    mov [eax+7], bh     ; Set the base (23:16)
    mov [eax+8], cl     ; Set the limit (19:16) and base (31:24)
    mov [eax+9], 0x89   ; Set the type (0x89 for available 32-bit TSS) and present bit
    mov [eax+10], 0     ; Set the reserved bits
    mov [eax+11], bh    ; Set the base (31:24)
